int captG=02;// capteur gauche inrarouge sur pin 2
int captD=03;// idem droit sur 3
int M1=12;// sens de rotation moteur droit
int M2=13;// sens de rotation moteur gauche

int E1=10;// vitesse du moteur droit sur 10 (pas le choix car shield L298P)
int E2=11;// vitesse du moteur gauche sur 11
int value = 120;

  int valcaptG;
  int valcaptD;


void setup()
{

pinMode(M1,OUTPUT);//sortie sur moteur 1
pinMode(M2,OUTPUT);//idem 2


  pinMode(captD, INPUT);
  pinMode(captG, INPUT);
 
}

void loop() {

  valcaptD = digitalRead(captD);
  valcaptG = digitalRead(captG);


  if (valcaptG == 0 && valcaptD == 0) {
  digitalWrite(M1, HIGH);//1 allumé
  digitalWrite(M2, HIGH);//2 allumé
  analogWrite(E1,value);//on gére la vitesse du moteur 1
  analogWrite(E2,value);//idem moteur 2
  }


}
